%define _unpackaged_files_terminate_build 0
Summary: IMAP and POP protocol init file
Summary(ko): IMAP 과 POP 프로토콜 구동 파일
Name: imap-init
Version: 1.0.0
Release: 2%{?dist}
Epoch: 1
License: GPL
Group: System Environment/AnNyung
Source0: imap-xinetd
Source1: imaps-xinetd
Source2: ipop2-xinetd
Source3: ipop3-xinetd
Source4: pop3s-xinetd
Requires: imap xinted
BuildArch: noarch
Buildroot: %{_tmppath}/%{name}-%{version}-root

%description
This package include pop3 and imap protocol init files.

%description -l ko
이 패키지는 pop3 와 imap 프로토콜 구동을 위한 파일을 포함하고 있다.

%package imap2
Summary: IMAP v2 protocol init file
Summary(ko): imap v2 프토토콜 구동 파일
Group: System Environment/Daemons
Requires: imap

%description imap2
This package include imap v2 protocol init file

%description imap2 -l ko
이 패키지는 imap v2 프로토콜 구동 파일을 포함한다.

%package imaps
Summary: imap protocol over SSL init file
Summary(ko): 암호화된 imap 프로토콜 구동 파일
Group: System Environment/Daemons
Requires: imap

%description imaps
This package include imap protocol over ssl init file

%description imaps -l ko
이 패키지는 암호화된 imap 프로토콜 구동 파일을 포함한다.

%package pop3
Summary: pop3 protocol init file
Summary(ko): pop3 프로토콜 구동 파일
Group: System Environment/Daemons
Requires: imap

%description pop3
This package include pop3 protocol init file

%description pop3 -l ko
이 패키지는 pop3 프로토콜 구동 파일을 포함한다.

%package pop3s
Summary: pop3 protocol over SSL init file
Summary(ko): 암호화된 pop3 프로토콜 구동 파일
Group: System Environment/Daemons
Requires: imap

%description pop3s
This package include pop3 protocol over ssl init file

%description pop3s -l ko
이 패키지는 암호화된 pop3 프로토콜 구동 파일을 포함한다.

%prep
echo

%build
echo

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/etc/xinetd.d/
install -m644 %{SOURCE0} $RPM_BUILD_ROOT/etc/xinetd.d/imap
install -m644 %{SOURCE1} $RPM_BUILD_ROOT/etc/xinetd.d/imaps
#install -m644 %{SOURCE2} $RPM_BUILD_ROOT/etc/xinetd.d/ipop2
install -m644 %{SOURCE3} $RPM_BUILD_ROOT/etc/xinetd.d/ipop3
install -m644 %{SOURCE4} $RPM_BUILD_ROOT/etc/xinetd.d/pop3s

%clean
rm -rf $RPM_BUILD_ROOT

%post imap2
/sbin/chkconfig imap off &> /dev/null || :
/sbin/chkconfig imap on &> /dev/null || :

%preun imap2
if [ $1 = 0 ]; then
	/sbin/chkconfig imap off &> /dev/null || :
fi

%post imaps
/sbin/chkconfig imaps off &> /dev/null || :
/sbin/chkconfig imaps on &> /dev/null || :

%preun imaps
if [ $1 = 0 ]; then
	/sbin/chkconfig imaps off &> /dev/null || :
fi

%post pop3
/sbin/chkconfig ipop3 off &> /dev/null || :
/sbin/chkconfig ipop3 on &> /dev/null || :

%preun pop3
if [ $1 = 0 ]; then
	/sbin/chkconfig ipop3 off &> /dev/null || :
fi

%post pop3s
/sbin/chkconfig pop3s off &> /dev/null || :
/sbin/chkconfig pop3s on &> /dev/null || :

%preun pop3s
if [ $1 = 0 ]; then
	/sbin/chkconfig pop3s off &> /dev/null || :
fi

%files imap2
%defattr(-,root,root)
/etc/xinetd.d/imap

%files imaps
%defattr(-,root,root)
/etc/xinetd.d/imaps

%files pop3
%defattr(-,root,root)
/etc/xinetd.d/ipop3

%files pop3s
%defattr(-,root,root)
/etc/xinetd.d/pop3s

%changelog
* Wed Nov 11 2015 JoungKyun.Kim <http://oops.org> 1:1.0.0-2%{?dist}
- rebuilt on AN3

* Tue Jan 22 2008 JoungKyun.Kim <http://oops.org> 2:1.0.0-2
- fixed parents package dependency

* Wed Dec  7 2005 JoungKyun.Kim <http://oops.org> 1:1.0.0-1
- devided init file to imap-@servicename@ pacakge from imap package

